Subject: [RFC PATCH 00/11 V7] MXS: Add i.MX28 USB Host driver

From: [email-masked] (Marek Vasut)
Date: Wed, 9 May 2012 10:43:39 +0200

Dear Chen Peter-B29397,

> > > > Still use IRQF_SHARED for the usb interrupt, but:
> > > > * The IRQ handler in ehci-mxs, that's set in hc_driver.irq would be
> > > > always
> > > > returning IRQ_NONE.
> > > > * The IRQ handler in imx-otg would call the callback registered via
> > > > imx_otg_set_irq_handler() only if the port was actually in host mode
> > > 
> > > The interrupt which is registered by hcd core is usb_hcd_irq, it will
> > 
> > call
> > 
> > > ehci_irq. The hc_driver.irq is included in usb_hcd_irq.
> > 
> > Hm, that's correct. I'll dive in and see if there's any other way around.
> > I
> > think I saw IRQF_DISABLED somewhere there, but that might be just some
> > phantom.
> > Either way, is this direction I'm taking the correct one (have irq
> > handler in
> > imx-otg and send IRQs to gadget/host drivers from there)?
> 
> Sorry for late as I can't see this email at my inbox.

That's fine :)

> If you can handle hcd irq well, I think it is correct direction.

Good, any other problems you noticed?

Thanks!

Best regards,
Marek Vasut